Bug 831201 - check_audrey_api_compatibility() undefined method `>=' for []:Array
check_audrey_api_compatibility() undefined method `>=' for []:Array
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Dan Radez
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 09:21 EDT by Dan Radez
Modified: 2012-12-12 08:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 08:52:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error when creating deployable from image. (258.68 KB, image/png)
2012-07-13 04:29 EDT, Justin Clift
no flags Details
Error when trying to get to a launch page. (246.86 KB, image/png)
2012-07-13 04:30 EDT, Justin Clift
no flags Details
Error when trying to launch via Monitor tab page. (196.51 KB, image/png)
2012-07-13 04:31 EDT, Justin Clift
no flags Details
application launch success (79.38 KB, image/png)
2012-09-17 09:39 EDT, pushpesh sharma
no flags Details

  None (edit)
Description Dan Radez 2012-06-12 09:21:14 EDT
Description of problem:
There's an unhandled empty array case in a patch recently submitted.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
undefined method `>=' for []:Array 

Expected results:
silently skip an empty array

Additional info:
Comment 1 Mike Orazi 2012-07-12 18:24:54 EDT
Any eta on a fix for this?
Comment 2 Justin Clift 2012-07-13 04:27:42 EDT
Ugh, hitting this now when trying out master.

It's completely breaking deployables.  Can't get into any screen for launching them.  :(

Screenshots attached.
Comment 3 Justin Clift 2012-07-13 04:29:54 EDT
Created attachment 598010 [details]
Error when creating deployable from image.
Comment 4 Justin Clift 2012-07-13 04:30:36 EDT
Created attachment 598011 [details]
Error when trying to get to a launch page.
Comment 5 Justin Clift 2012-07-13 04:31:22 EDT
Created attachment 598012 [details]
Error when trying to launch via Monitor tab page.
Comment 6 Aziza Karol 2012-07-13 08:50:30 EDT
Hitting this issue. Not able to create deployables and hence launch instances.
Comment 7 Justin Clift 2012-07-13 09:15:13 EDT
A short term workaround, just so you can get instances to launch (from jprovazn):

*********************************
*********************************

diff --git a/src/app/models/deployable.rb b/src/app/models/deployable.rb
index 9c6aff9..cc734ad 100644
--- a/src/app/models/deployable.rb
+++ b/src/app/models/deployable.rb
@@ -192,7 +192,7 @@ class Deployable < ActiveRecord::Base
         deployable_errors << "#{assembly_hash[:name]}: " + I18n.t('deployables.error.attribute_not_exist')
       end
       assemblies_array << assembly_hash
-      audrey_error = check_audrey_api_compatibility(image, assembly)
+      audrey_error = nil #check_audrey_api_compatibility(image, assembly)
       deployable_errors << "#{assembly_hash[:name]}: " + audrey_error if not audrey_error.nil?
     end
     [assemblies_array, images, missing_images, deployable_errors]

*********************************
*********************************

This workaround lets the deployables page be shown here, single instances launch.  Getting automatic failures with Audrey deployables, but that might be something else. (no idea)
Comment 8 Dan Radez 2012-07-13 10:45:27 EDT
pushed to master as d67759c127f44bf8b59ada0445a05273090e60a8
Comment 9 Justin Clift 2012-07-13 11:35:40 EDT
Just for clarity, the patch Dan pushed is a real working one, not the above "dodgy workaround" approach.
Comment 11 pushpesh sharma 2012-09-17 09:38:31 EDT
Application can be launched perfectly via monitor tab,create deployable from image as well as via launch page


Verified on:-
[root@dhcp201-113 ~]# rpm -qa|grep aeolus
aeolus-conductor-doc-0.13.7-1.el6cf.noarch
aeolus-all-0.13.7-1.el6cf.noarch
rubygem-aeolus-cli-0.7.1-1.el6cf.noarch
aeolus-configure-2.8.6-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-0.13.7-1.el6cf.noarch
aeolus-conductor-daemons-0.13.7-1.el6cf.noarch
Comment 12 pushpesh sharma 2012-09-17 09:39:01 EDT
Created attachment 613660 [details]
application launch success
Comment 13 James Laska 2012-12-12 08:52:38 EST
CloudForms-1.1 shipped with aeolus-conductor-0.13.24-1.el6cf.src.rpm

Marking this bug CLOSED CURRENTRELEASE.  Please reopen if the problem has not been addressed in the 1.1 product.

Note You need to log in before you can comment on or make changes to this bug.